Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043305
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-02-24 14:252020-03-02 17:30
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisionffc9fd932dab
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043305: Apply new HQL Style in MRPPurchaseCreateReservations.java

DescriptionMRPPurchaseCreateReservations.java has two HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0118088)
inigo_lerga (developer)
2020-02-25 10:32

--Test Plan Mantis HQL queries--
As the F&B International Group Admin role:
  - Go to the Preference window and create a new record with
    "Enable Stock Reservations" as Property and "Y" as
    Value.
  - Go to the Purchasing Plan window (with an activated
    environment) and create a new record with any Name
    desired.
    Press the Create Reservations button and OK button
    in the popup window.

    #In this moment the modified HQLs are executed#
(0118268)
hgbot (developer)
2020-03-02 17:29

Repository: erp/devel/pi
Changeset: ffc9fd932dab6cf674cbca2b375e4076aea13a28
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Tue Feb 25 09:54:05 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ffc9fd932dab6cf674cbca2b375e4076aea13a28 [^]

fixes BUG-43305:Applied new HQL Style

---
M src/org/openbravo/erpCommon/ad_process/MRPPurchaseCreateReservations.java
---
(0118269)
hgbot (developer)
2020-03-02 17:29

Repository: erp/devel/pi
Changeset: bc583dbe363ddf1c22030afedde917c5460f1f8c
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Tue Feb 25 10:05:53 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bc583dbe363ddf1c22030afedde917c5460f1f8c [^]

related to ISSUE-43305: Applied Sonarlint suggestions

---
M src/org/openbravo/erpCommon/ad_process/MRPPurchaseCreateReservations.java
---
(0118270)
hgbot (developer)
2020-03-02 17:29

Repository: erp/devel/pi
Changeset: a01177def4a29a0ddd62970b1144c6d6595c2a36
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Mar 02 17:29:15 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a01177def4a29a0ddd62970b1144c6d6595c2a36 [^]

Related to ISSUE-43305. Code Review changes:
* Changed variable name to reflect that it is an id
* Split case when clauses in different lines to improve
  redability

---
M src/org/openbravo/erpCommon/ad_process/MRPPurchaseCreateReservations.java
---
(0118271)
dmiguelez (developer)
2020-03-02 17:30

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-02-24 14:25 inigo_lerga New Issue
2020-02-24 14:25 inigo_lerga Assigned To => inigo_lerga
2020-02-24 14:25 inigo_lerga Modules => Core
2020-02-24 14:25 inigo_lerga Triggers an Emergency Pack => No
2020-02-24 14:25 inigo_lerga Status new => scheduled
2020-02-24 14:25 inigo_lerga Relationship added related to 0041287
2020-02-25 10:32 inigo_lerga Note Added: 0118088
2020-03-02 17:29 hgbot Checkin
2020-03-02 17:29 hgbot Note Added: 0118268
2020-03-02 17:29 hgbot Status scheduled => resolved
2020-03-02 17:29 hgbot Resolution open => fixed
2020-03-02 17:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ffc9fd932dab6cf674cbca2b375e4076aea13a28 [^]
2020-03-02 17:29 hgbot Checkin
2020-03-02 17:29 hgbot Note Added: 0118269
2020-03-02 17:29 hgbot Checkin
2020-03-02 17:29 hgbot Note Added: 0118270
2020-03-02 17:30 dmiguelez Review Assigned To => dmiguelez
2020-03-02 17:30 dmiguelez Note Added: 0118271
2020-03-02 17:30 dmiguelez Status resolved => closed
2020-03-02 17:30 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker